# Description:
#   Award people with skill badges
#
# Dependencies:
#   Brain
#
# Configuration:
#   None
#
# Commands:
#   Award <user> level <n> <badge> - give a badge
#   I am pulling rank [for <user>] - report badges
#
# Author:
#   ferrix

module.exports = (robot) ->

    robot.respond /\bAward\ (\w+)\ level\ (\d+)\ (.*)\b/, (res) ->
      user = res.match[1]
      level = parseInt res.match[2]
      skill = res.match[3].replace /\s*$/, ''
      skill.replace /\s$/, ''
       
      badges = robot.brain.get 'badges_#{user}' or []
      badges.push ['#{skill} - Level {#level}']
      robot.brain.set 'badges_#{user}', badges

      res.send "About time!"

    robot.hear /\bI\ am\ pulling\ rank\b/, (res) ->
      badges = robot.brain.get 'badges_#res.message.user.name'
      res.send "Awarded:\n===\n"+badges.join("\n")
       
      
